> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/agent-project-service/export-project-bundle/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Export a FlowAI project GET https://example.itential.io/agent-project-service/project-bundles/{projId}/export Returns a portable export bundle containing the project and all its agents. Reference: https://docs.itential.com/itential-cloud/api-reference/agent-project-service/export-project-bundle ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `projId` (string or string, required) — Project _id (UUID) or iid (integer). ## Response ### 200 The export bundle - `message` (string, required) - `data` (object, required) - `_id` (string, required) - `name` (string, required) - `description` (string, required) - `created` (string, required) - `createdBy` (object, required) - `username` (string, required) - `provenance` (string, required) - `agents` (list of object, required) - `_id` (string, required) - `name` (string, required) - `description` (string, required) - `instructions` (string, required) - `inputSchema` (object, required) - `type` (any, required) - `additionalProperties` (any, required) - `required` (list of string, required) - `properties` (map from string to object, required) - `created` (string, required) - `createdBy` (object, required) - `username` (string, required) - `provenance` (string, required) - `provider` (object, required, nullable) - `profileName` (string, required) - `modelName` (string, required) - `tools` (list of object, required) - `referenceId` (string, required) - `lastKnownName` (string, required) - `decoratorId` (string, optional) - `agentProjectBundleVersion` (double, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "message": "string", "data": { "_id": "string", "name": "string", "description": "string", "created": "2024-01-15T09:30:00Z", "createdBy": { "username": "string", "provenance": "string" }, "agents": [ { "_id": "string", "name": "string", "description": "string", "instructions": "string", "inputSchema": { "type": null, "additionalProperties": null, "required": [ "string" ], "properties": {} }, "created": "2024-01-15T09:30:00Z", "createdBy": { "username": "string", "provenance": "string" }, "provider": null, "tools": [ { "referenceId": "string", "lastKnownName": "string", "decoratorId": "string" } ] } ], "agentProjectBundleVersion": 1.1 } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/agent-project-service/project-bundles/string/export" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/agent-project-service/project-bundles/string/export'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/agent-project-service/project-bundles/string/export" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/agent-project-service/project-bundles/string/export") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/agent-project-service/project-bundles/string/export") .asString(); ``` ```php request('GET', 'https://example.itential.io/agent-project-service/project-bundles/string/export'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/agent-project-service/project-bundles/string/export"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/agent-project-service/project-bundles/string/export")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```